> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List SEPA Direct Debit collections

> OAuth scope: `sepa_direct_debit.read`

List SEPA Direct Debit collections for the authenticated organization. Optionally filter by direct_debit_subscription_id.




## OpenAPI

````yaml get /v2/sepa/direct_debit_collections
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/sepa/direct_debit_collections:
    parameters:
      - $ref: '#/components/parameters/X-Qonto-Staging-Token'
      - name: direct_debit_subscription_id
        in: query
        description: Filter collections by subscription ID
        required: false
        schema:
          type: string
          format: uuid
    get:
      tags:
        - SEPA Direct Debit
      summary: List SEPA Direct Debit collections
      description: >
        OAuth scope: `sepa_direct_debit.read`


        List SEPA Direct Debit collections for the authenticated organization.
        Optionally filter by direct_debit_subscription_id.
      operationId: listDirectDebitCollections
      parameters:
        - $ref: '#/components/parameters/PaginationPage'
        - $ref: '#/components/parameters/PaginationPerPage'
        - name: direct_debit_subscription_id
          in: query
          description: Filter collections by direct_debit_subscription_id.
          schema:
            type: string
            format: uuid
            example: '?direct_debit_subscription_id=123e4567-e89b-12d3-a456-426614174000'
        - name: sort_by
          in: query
          description: >-
            Sort collections by a field. Format is `field:direction` (e.g.
            `amount:desc`). When omitted, defaults to collection_date,
            descending.
          schema:
            type: string
            enum:
              - collection_date:asc
              - collection_date:desc
              - status:asc
              - status:desc
              - amount:asc
              - amount:desc
            example: '?sort_by=collection_date:desc'
      responses:
        '200':
          description: The SEPA Direct Debit collections have been retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DirectDebitCollectionsListResponse'
        '400':
          $ref: '#/components/responses/400-Bad-request'
        '401':
          $ref: '#/components/responses/401-Unauthorized'
        '403':
          $ref: '#/components/responses/403-Forbidden'
        '500':
          $ref: '#/components/responses/500-Internal-Server-Error'
      security:
        - OAuth:
            - sepa_direct_debit.read
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
    PaginationPage:
      name: page
      in: query
      description: Page number for pagination. Must be greater than 0.
      schema:
        type: integer
        minimum: 1
        default: 1
    PaginationPerPage:
      name: per_page
      in: query
      description: Number of records per page. Must be between 1 and 100.
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 100
  schemas:
    DirectDebitCollectionsListResponse:
      type: object
      required:
        - direct_debit_collections
        - meta
      properties:
        direct_debit_collections:
          type: array
          items:
            $ref: '#/components/schemas/DirectDebitCollection'
        meta:
          $ref: '#/components/schemas/Pagination'
    DirectDebitCollection:
      type: object
      required:
        - id
        - direct_debit_subscription_id
        - amount
        - collection_date
        - status
        - unique_mandate_reference
      properties:
        id:
          type: string
          format: uuid
        direct_debit_subscription_id:
          type: string
          format: uuid
        amount:
          $ref: '#/components/schemas/DirectDebitCollectionAmount'
        collection_date:
          type: string
          format: date
          description: ISO8601 date when the collection was executed (YYYY-MM-DD)
          example: '2026-01-01'
        status:
          type: string
          example: completed
          description: >-
            Fine-grained status (e.g. completed, declined, rejected, canceled,
            returned, refunded)
        status_reason:
          type:
            - string
            - 'null'
          description: Reason for failed/returned/refunded status when applicable
        unique_mandate_reference:
          type: string
    Pagination:
      type: object
      description: Metadata for paginated responses
      required:
        - current_page
        - next_page
        - prev_page
        - total_pages
        - total_count
        - per_page
      properties:
        current_page:
          type: integer
          description: The current page number
          example: 2
        next_page:
          type:
            - integer
            - 'null'
          description: The next page number (null if on last page)
          example: 3
        prev_page:
          type:
            - integer
            - 'null'
          description: The previous page number (null if on first page)
          example: 1
        total_pages:
          type: integer
          description: Total number of pages
          example: 11
        total_count:
          type: integer
          description: Total number of items across all pages
          example: 210
        per_page:
          type: integer
          description: Number of items per page
          example: 20
    BadRequestResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestError'
      required:
        - errors
    UnauthorizedResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/UnauthorizedError'
      required:
        - errors
    ForbiddenResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ForbiddenError'
      required:
        - errors
    DirectDebitCollectionAmount:
      type: object
      required:
        - value
        - currency
      properties:
        value:
          type: string
          description: Amount as decimal string
          example: '102.34'
        currency:
          type: string
          description: ISO 4217 currency code
          example: EUR
    BadRequestError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            pointer:
              type: string
              description: >-
                The property in the request body that caused the error
                (optional).
            parameter:
              type: string
              description: The query parameter that caused the error (optional).
      required:
        - code
        - detail
      x-examples:
        Authorization field missing:
          code: bad_request
          detail: Authorization field missing
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Invalid credentials:
          code: unauthorized
          detail: Invalid credentials
    ForbiddenError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Insufficient permissions:
          code: forbidden
          detail: User does not have sufficient permissions for this action.
  responses:
    400-Bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestResponseBody'
          examples:
            Authorization field missing:
              value:
                errors:
                  - code: bad_request
                    detail: Authorization field missing
    401-Unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponseBody'
          examples:
            authorization_header_missing:
              value:
                errors:
                  - code: authorization_header_missing
                    detail: authorization header missing
            authorization_token_invalid:
              value:
                errors:
                  - code: authorization_token_invalid
                    detail: authorization token invalid
    403-Forbidden:
      description: Returns a forbidden error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenResponseBody'
          examples:
            Insufficient permissions:
              value:
                errors:
                  - code: forbidden
                    detail: User does not have sufficient permissions for this action.
    500-Internal-Server-Error:
      description: Returns an internal server error.
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````